Public Class Form1

    Private Sub OpenBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenBtn.Click

        ' Configure the Open File dialog options.
        With OpenFileDialog1
            .Title = "Open File"
            .Filter = "Rich Text Files | *.rtf"
            .FileName = ""
            .CheckFileExists = True
            .CheckPathExists = True
        End With

        ' Load a Rich Text File into the interface.
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            RichTextBox1.LoadFile(OpenFileDialog1.FileName, RichTextBoxStreamType.RichText)
        End If

    End Sub

    Private Sub SaveBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveBtn.Click

        ' Configue the Save File dialog options.
        With SaveFileDialog1
            .Title = "Save File"
            .Filter = "Rich Text Files | *.rtf"
            .DefaultExt = ".rtf"
            .OverwritePrompt = True
        End With

        ' Save a Rich Text File.
        If SaveFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            RichTextBox1.SaveFile(SaveFileDialog1.FileName, RichTextBoxStreamType.RichText)
        End If

    End Sub

    Private Sub PrintBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PrintBtn.Click

        ' Choose printer options.
        If PrintDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then

            ' Insert code here to process and print.
            ' ######################################################################
            ' For example, call this (unlisted) Sub routine to print the entire form.
            PrintForm()
            ' ######################################################################

        End If

    End Sub

    ' ############################################################################
    ' Everything below this line is unlisted and provided here as one way to print.

    ' A variable for the screen capture image.
    Dim bmp As Bitmap

    Private Sub PrintForm()

        ' Capture the Form from the screen.
        Dim gfx As Graphics = Me.CreateGraphics()
        bmp = New Bitmap(Me.Size.Width, Me.Size.Height, gfx)
        Dim mem As Graphics = Graphics.FromImage(bmp)
        mem.CopyFromScreen(Me.Location.X, Me.Location.Y, 0, 0, Me.Size)

        ' Send image to the printer.
        PrintDocument1.Print()

    End Sub

    ' a Sub routine to print the screen capture.
    Private Sub PrintDocument1_PrintPage(ByVal sender As System.Object, _
        ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles _
        PrintDocument1.PrintPage
        e.Graphics.DrawImage(bmp, 0, 0)
    End Sub

    ' ##############################################################################

End Class
